Transcript
curl --request GET \
--url https://yoinkit.ai/api/v1/openclaw/api/v1/openclaw/tiktok/transcript \
--header 'Authorization: Bearer <token>'import requests
url = "https://yoinkit.ai/api/v1/openclaw/api/v1/openclaw/tiktok/transcript"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://yoinkit.ai/api/v1/openclaw/api/v1/openclaw/tiktok/transcript', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
TikTok
Transcript
Pulls transcript from a TikTok video
GET
/
api
/
v1
/
openclaw
/
tiktok
/
transcript
Transcript
Parameters
string
required
TikTok video URL (e.g.,
https://www.tiktok.com/@stoolpresidente/video/7499229683859426602)string
Language of the transcript. 2 letter language code, ie ‘en’, ‘es’, ‘fr’, ‘de’, ‘it’, ‘ja’, ‘ko’, ‘zh’ (e.g.,
en)string
Set to ‘true’ to use AI as a fallback if the transcript is not found. (e.g.,
false)Example Request
curl -X GET "https://yoinkit.ai/api/v1/openclaw/tiktok/transcript?url=https://www.tiktok.com/@stoolpresidente/video/7499229683859426602" \
-H "Authorization: Bearer YOUR_API_TOKEN"
Example Response
{
"success": true,
"data": {
"id": "7499229683859426602",
"url": "https://www.tiktok.com/@stoolpresidente/video/7499229683859426602",
"transcript": "WEBVTT\n\n00:00:00.120 --> 00:00:01.840\nAlright, pizza review time.\n..."
},
"meta": {
"platform": "tiktok",
"endpoint": "transcript",
"request_id": "req_abc123"
}
}
Response data is returned directly from the Yoinkit API.
Note
Rates and quotas may apply based on your Yoinkit subscription.⌘I